javax.resource

## Class NotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - javax.resource.NotSupportedException

- All Implemented Interfaces:
    java.io.Serializable

      public class NotSupportedException
      extends ResourceException

  A `NotSupportedException` is thrown to indicate that callee (resource adapter or application server for system contracts) cannot execute an operation because the operation is not a supported feature. For example, if the transaction support level for a resource adapter is `NO_TRANSACTION`, an invocation of `getXAResource` method on a `ManagedConnection` object should throw a `NotSupportedException` exception.
  Version:
    1.0
  Author:
    Rahul Sharma, Ram Jeyaraman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotSupportedException()` Constructs a new instance with null as its detail message.
    `NotSupportedException(java.lang.String message)` Constructs a new instance with the specified detail message.
    `NotSupportedException(java.lang.String message, java.lang.String errorCode)` Constructs a new throwable with the specified detail message and error code.
    `NotSupportedException(java.lang.String message, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `NotSupportedException(java.lang.Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotSupportedException

          public NotSupportedException()

      Constructs a new instance with null as its detail message.

    - #### NotSupportedException

          public NotSupportedException(java.lang.String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### NotSupportedException

          public NotSupportedException(java.lang.Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### NotSupportedException

          public NotSupportedException(java.lang.String message,
                                       java.lang.Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

    - #### NotSupportedException

          public NotSupportedException(java.lang.String message,
                                       java.lang.String errorCode)

      Constructs a new throwable with the specified detail message and error code.
      Parameters:
        `message` - a description of the exception.
        `errorCode` - a string specifying the vendor specific error code.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)